# PageSnapCheckMarkAnimation class

Configuration of the check mark animation.

Inheritance
  - Object
  - PageSnapFeedbackMode
  - PageSnapCheckMarkAnimation

## Constructors

PageSnapCheckMarkAnimation.new({ScanbotColor? overlayColor, ScanbotColor? checkMarkBackgroundColor, ScanbotColor? checkMarkColor})
PageSnapCheckMarkAnimation.fromJson(Map<String, dynamic> json)
  factory

## Properties

checkMarkBackgroundColor ↔ ScanbotColor
  The background color for the check mark animation.
  getter/setter pair
checkMarkColor ↔ ScanbotColor
  The check mark color for the check mark animation.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
overlayColor ↔ ScanbotColor
  The overlay color for the check mark animation.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited